function ker = get_smkernel(rhogauss,width)
% smoothing kernel for transport models

if width==0
    ker = eye(numel(rhogauss));
else
    
    ker = zeros(numel(rhogauss));
    for ii=1:numel(rhogauss)
        ker(ii,:) = exp(-4*(rhogauss-rhogauss(ii)).^2/width.^2);
        ker(ii,:) = ker(ii,:)/sum(ker(ii,:));
    end
end
end